AntiFeatures:
  UpstreamNonFree:
    en-US: Ceno is based on Firefox which has non-free libs. These libs are removed
      in Ceno.
Categories:
  - Internet
License: MPL-2.0
WebSite: https://censorship.no
SourceCode: https://gitlab.com/censorship-no/ceno-browser
IssueTracker: https://gitlab.com/censorship-no/ceno-browser/issues/
Changelog: https://gitlab.com/censorship-no/ceno-browser/-/releases
Donate: https://censorship.no/en/donate.html

AutoName: Ceno Browser

RepoType: git
Repo: https://gitlab.com/censorship-no/ceno-browser.git

Builds:
  - versionName: 2.0.0b2
    versionCode: 2015886977
    commit: v2.0.0b2
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.0b2
      - FirefoxAndroid@v108.1.1
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v95.0.1
      - MozFennec@FIREFOX_108_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 108
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.0b2
    versionCode: 2015886979
    commit: v2.0.0b2
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.0b2
      - FirefoxAndroid@v108.1.1
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v95.0.1
      - MozFennec@FIREFOX_108_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 108
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.0
    versionCode: 2015888337
    commit: v2.0.0
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.0
      - FirefoxAndroid@v108.1.1
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v95.0.1
      - MozFennec@FIREFOX_108_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 108
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.0
    versionCode: 2015888339
    commit: v2.0.0
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.0
      - FirefoxAndroid@v108.1.1
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v95.0.1
      - MozFennec@FIREFOX_108_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 108
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.1
    versionCode: 2015894433
    commit: v2.0.1
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.1
      - FirefoxAndroid@components-v109.2.0
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v96.1.3
      - MozFennec@FIREFOX_109_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 109
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.1
    versionCode: 2015894435
    commit: v2.0.1
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.1
      - FirefoxAndroid@components-v109.2.0
      - MozAndroidComponentsAS@v107.0.2
      - MozAppServices@v96.1.3
      - MozFennec@FIREFOX_109_0_1_RELEASE
      - MozGlean@v51.8.2
      - MozGleanAS@v51.2.0
      - rustup@1.25.1
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 109
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.2
    versionCode: 2015904609
    commit: v2.0.2
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.2
      - FirefoxAndroid@components-v111.1.1
      - FirefoxAndroidAS@v108.0.8
      - MozAppServices@v96.4.0
      - MozFennec@FIREFOX_111_0_1_BUILD2
      - MozGlean@v52.2.0
      - MozGleanAS@v52.0.0
      - rustup@1.25.2
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 111
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.2
    versionCode: 2015904611
    commit: v2.0.2
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.2
      - FirefoxAndroid@components-v111.1.1
      - FirefoxAndroidAS@v108.0.8
      - MozAppServices@v96.4.0
      - MozFennec@FIREFOX_111_0_1_BUILD2
      - MozGlean@v52.2.0
      - MozGleanAS@v52.0.0
      - rustup@1.25.2
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 111
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.3
    versionCode: 2015916113
    commit: v2.0.3
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.3
      - FirefoxAndroid@components-v114.1.0
      - FirefoxAndroidAS@components-v112.2.0
      - MozAppServices@v114.1
      - MozFennec@FIREFOX_114_0_1_RELEASE
      - MozGlean@v52.7.0
      - MozGleanAS@v52.6.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 114
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.3
    versionCode: 2015916115
    commit: v2.0.3
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y bc cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.3
      - FirefoxAndroid@components-v114.1.0
      - FirefoxAndroidAS@components-v112.2.0
      - MozAppServices@v114.1
      - MozFennec@FIREFOX_114_0_1_RELEASE
      - MozGlean@v52.7.0
      - MozGleanAS@v52.6.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild: $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$ 114
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.6
    versionCode: 2015936721
    commit: v2.0.6
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev bc
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.6
      - FirefoxAndroid@components-v118.1.1
      - FirefoxAndroidAS@components-v115.0.1
      - MozAppServices@v118.0
      - MozFennec@FIREFOX_118_0_1_RELEASE
      - MozGlean@v53.2.0
      - MozGleanAS@v52.7.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild:
      - $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$
      - $$CenoBuild$$/precenobuild.sh $$VERSION$$ $$VERCODE$$ 118
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.6
    versionCode: 2015936723
    commit: v2.0.6
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev bc
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.6
      - FirefoxAndroid@components-v118.1.1
      - FirefoxAndroidAS@components-v115.0.1
      - MozAppServices@v118.0
      - MozFennec@FIREFOX_118_0_1_RELEASE
      - MozGlean@v53.2.0
      - MozGleanAS@v52.7.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild:
      - $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$
      - $$CenoBuild$$/precenobuild.sh $$VERSION$$ $$VERCODE$$ 118
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.7
    versionCode: 2015948585
    commit: v2.0.7
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev bc
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.7
      - FirefoxAndroid@components-v120.1.0
      - FirefoxAndroidAS@components-v117.0.1
      - MozAppServices@v120.0.2
      - MozFennec@FIREFOX_120_0_1_RELEASE
      - MozGlean@v54.0.0
      - MozGleanAS@v53.1.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild:
      - $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$
      - $$CenoBuild$$/precenobuild.sh $$VERSION$$ $$VERCODE$$ 120
    build: $$CenoBuild$$/build.sh
    ndk: r21d

  - versionName: 2.0.7
    versionCode: 2015948587
    commit: v2.0.7
    timeout: 18000
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake make m4 g++ pkg-config libssl-dev python-is-python3
        python3-distutils python3-venv tcl gyp ninja-build bzip2 libz-dev libffi-dev
        libsqlite3-dev bc
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: app/build/outputs/apk/release/app-*-release-unsigned.apk
    srclibs:
      - CenoBuild@v2.0.7
      - FirefoxAndroid@components-v120.1.0
      - FirefoxAndroidAS@components-v117.0.1
      - MozAppServices@v120.0.2
      - MozFennec@FIREFOX_120_0_1_RELEASE
      - MozGlean@v54.0.0
      - MozGleanAS@v53.1.0
      - rustup@1.26.0
      - wasi-sdk@wasi-sdk-16
    prebuild:
      - $$CenoBuild$$/prebuild.sh $$VERSION$$ $$VERCODE$$
      - $$CenoBuild$$/precenobuild.sh $$VERSION$$ $$VERCODE$$ 120
    build: $$CenoBuild$$/build.sh
    ndk: r21d

MaintainerNotes: |-
  Version code scheme:
  CENO uses the same method as Mozilla for generating verisonCodes found in android_version_code.py
  Read more about the values encoded in the version code here, https://github.com/mozilla/gecko-dev/blob/master/python/mozbuild/mozbuild/android_version_code.py#L38
  For our purposes it is enough to know that the architecture is encoded in the second LSB, such that
  * Example: 2015873545 = 0111 1000 0010 0111 1100 1010 0000 1001 = armeabi-v7a
  * Example: 2015873547 = 0111 1000 0010 0111 1100 1010 0000 1011 = arm64-v8a

  Android Components version:
  grep VERSION build/org.mozilla.fennec_fdroid/buildSrc/src/main/java/AndroidComponents.kt

  Application Services, Glean and GeckoView versions:
  grep 'mozilla_appservices =' build/srclib/MozAndroidComponents/buildSrc/src/main/java/Dependencies.kt
  grep 'mozilla_glean =' build/srclib/MozAndroidComponents/buildSrc/src/main/java/Dependencies.kt
  grep 'version =' build/srclib/MozAndroidComponents/buildSrc/src/main/java/Gecko.kt

  Android Components (AS) version:
  grep 'android_components_version =' build/srclib/MozAppServices/build.gradle

  Glean (AS) version:
  grep 'mozilla_glean =' build/srclib/MozAndroidComponentsAS/buildSrc/src/main/java/Dependencies.kt

  Python:
  * https://github.com/pyenv/pyenv/releases
  * https://www.python.org/downloads/

  Rust:
  * https://github.com/rust-lang/rustup/releases
  * https://www.rust-lang.org/

ArchivePolicy: 6
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.0.7
CurrentVersionCode: 2015948587
